Debian Bug report logs - #348498
kitty - FTBFS: error: kitty.moc: No such file or directory

version graph

Package: kitty; Maintainer for kitty is Uwe Hermann <uwe@debian.org>;

Reported by: Bastian Blank <waldi@debian.org>

Date: Tue, 17 Jan 2006 11:03:42 UTC

Severity: serious

Tags: patch

Found in versions kitty/0.9.2-1, kitty/kitty_0.9.2-1

Fixed in version kitty/0.9.2-2

Done: Uwe Hermann <uwe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#348498; Package kitty. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Uwe Hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: kitty - FTBFS: error: kitty.moc: No such file or directory
Date: Tue, 17 Jan 2006 11:54:35 +0100
Package: kitty
Version: 0.9.2-1
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of kitty_0.9.2-1 on debian01 by sbuild/s390 85
[...]
> ** Using build dependencies supplied by package:
> Build-Depends: cdbs, debhelper (>= 4.1.0), kdelibs4-dev, qt3-dev-tools, autoconf, automake1.9, libtool, libx11-dev, moc
[...]
> Making all in src
> make[3]: Entering directory `/build/buildd/kitty-0.9.2/src'
> if g++ -DHAVE_CONFIG_H -I. -I. -I.. -I../src -I/usr/include/kde -I/usr/share/qt3/include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -W -Wpointer-arith -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -O2 -g -Wall -O2 -Wformat-security -Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common -MT main.o -MD -MP -MF ".deps/main.Tpo" -c -o main.o main.cpp; \
> 	then mv -f ".deps/main.Tpo" ".deps/main.Po"; else rm -f ".deps/main.Tpo"; exit 1; fi
> /usr/share/qt3/include/qtooltip.h:86: warning: 'class QToolTip' has virtual functions but non-virtual destructor
> if g++ -DHAVE_CONFIG_H -I. -I. -I.. -I../src -I/usr/include/kde -I/usr/share/qt3/include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -W -Wpointer-arith -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -O2 -g -Wall -O2 -Wformat-security -Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common -MT kitty.o -MD -MP -MF ".deps/kitty.Tpo" -c -o kitty.o kitty.cpp; \
> 	then mv -f ".deps/kitty.Tpo" ".deps/kitty.Po"; else rm -f ".deps/kitty.Tpo"; exit 1; fi
> kitty.cpp:1577:21: error: kitty.moc: No such file or directory
> /usr/share/qt3/include/qtooltip.h:86: warning: 'class QToolTip' has virtual functions but non-virtual destructor
> /usr/include/kde/keditlistbox.h:60: warning: 'class KEditListBox::CustomEditor' has virtual functions but non-virtual destructor
> /usr/include/kde/kbookmarkmanager.h:312: warning: 'class KBookmarkOwner' has virtual functions but non-virtual destructor
> kitty_bookmark.h:31: warning: 'class kitty_bookmark' has virtual functions but non-virtual destructor
> make[3]: *** [kitty.o] Error 1
> make[3]: Leaving directory `/build/buildd/kitty-0.9.2/src'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory `/build/buildd/kitty-0.9.2'
> make[1]: *** [all] Error 2
> make[1]: Leaving directory `/build/buildd/kitty-0.9.2'
> make: *** [debian/stamp-makefile-build] Error 2
> ******************************************************************************
> Build finished at 20060115-2127
> FAILED [dpkg-buildpackage died]

Bastian



Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#348498; Package kitty. Full text and rfc822 format available.

Acknowledgement sent to Fabrice Flore-Thebault <fab@centsix.org>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #10 received at 348498@bugs.debian.org (full text, mbox):

From: Fabrice Flore-Thebault <fab@centsix.org>
To: Debian Bug Tracking System <348498@bugs.debian.org>
Subject: kitty: same problem on ppc : not possible to build the package
Date: Fri, 24 Feb 2006 23:20:42 +0100
Package: kitty
Version: kitty_0.9.2-1
Followup-For: Bug #348498


Exactly the same errors on ppc. It simply doesn't build.

-- System Information:
Debian Release: testing/unstable
  APT prefers experimental
  APT policy: (990, 'experimental'), (990, 'unstable')
Architecture: powerpc (ppc)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-powerpc
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)



Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#348498; Package kitty. Full text and rfc822 format available.

Acknowledgement sent to Uwe Hermann <uwe@hermann-uwe.de>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #15 received at 348498@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@hermann-uwe.de>
To: Fabrice Flore-Thebault <fab@centsix.org>, 348498@bugs.debian.org
Subject: Re: Bug#348498: kitty: same problem on ppc : not possible to build the package
Date: Sun, 26 Feb 2006 19:57:30 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Fri, Feb 24, 2006 at 11:20:42PM +0100, Fabrice Flore-Thebault wrote:
> Exactly the same errors on ppc. It simply doesn't build.

Yeah, I guess all architectures are affected. I'm not so sure what the
exact problem is. There seems to be a mising *.moc file (or the build tools
don't find it), but it really _should_ be there. The Build-Deps include
"moc" which should build the *.moc file...

This needs more investigation.


Uwe.
-- 
Uwe Hermann 
http://www.hermann-uwe.de
http://www.it-services-uh.de  | http://www.crazy-hacks.org 
http://www.holsham-traders.de | http://www.unmaintained-free-software.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#348498; Package kitty. Full text and rfc822 format available.

Acknowledgement sent to Fabrice Flore-Thebault <fab@centsix.org>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #20 received at 348498@bugs.debian.org (full text, mbox):

From: Fabrice Flore-Thebault <fab@centsix.org>
To: Uwe Hermann <uwe@hermann-uwe.de>
Cc: 348498@bugs.debian.org
Subject: Re: Bug#348498: kitty: same problem on ppc : not possible to build the package
Date: Sun, 26 Feb 2006 22:33:10 +0100
Le Dimanche 26 Février 2006 19:57, Uwe Hermann a écrit :
> Hi,
>
> On Fri, Feb 24, 2006 at 11:20:42PM +0100, Fabrice Flore-Thebault wrote:
> > Exactly the same errors on ppc. It simply doesn't build.
>
> Yeah, I guess all architectures are affected. I'm not so sure what the
> exact problem is. There seems to be a mising *.moc file (or the build tools
> don't find it), but it really _should_ be there. The Build-Deps include
> "moc" which should build the *.moc file...
>
> This needs more investigation.

In fact, as i understood : the "automoc" stuff should have created 
automatically the .moc files ; I imagine there should be a portion of code 
talking about that in the Makefiles (for example in order to create the .moc 
files I guess) ; but this code itself is not generated in the Makefiles. As a 
non-developper I stopped here.

Dommage, because I tested kitty on a i386 and I found it was a great stuff.

-- 
Fabrice Flore-Thébault



Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#348498; Package kitty. Full text and rfc822 format available.

Acknowledgement sent to Mattias Nordstrom <nordstrom@realnode.com>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #25 received at 348498@bugs.debian.org (full text, mbox):

From: Mattias Nordstrom <nordstrom@realnode.com>
To: 348498@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Fix
Date: Mon, 03 Apr 2006 20:54:01 +0300
[Message part 1 (text/plain, inline)]
tags 348498 patch
thanks

Hi,

Running the am_edit script on Makefile.in under src fixes it. The 
attached patch changes the top-level Makefile.in to run it for every 
Makefile.in.

kitty also FTBFS due to an error in kitty_articleedit.cpp:117, the 
setSizePolicy() function declaration seems to have changed. The second 
attached patch fixes that.

I will do an NMU (as part of my NM process) with these patches very soon
unless you respond to this bug.

Regards,

-- 
Mattias Nordstrom
[kitty-am_edit.patch (text/plain, inline)]
--- kitty-0.9.2/Makefile.in	2006-04-03 20:40:49.000000000 +0300
+++ kitty-0.9.2.new/Makefile.in	2006-04-03 20:41:35.000000000 +0300
@@ -343,7 +343,7 @@
 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
 	cd $(top_srcdir) && \
 	  $(AUTOMAKE) --gnu  Makefile
-	cd $(top_srcdir) && perl admin/am_edit Makefile.in
+	cd $(top_srcdir) && perl admin/am_edit
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
 	@case '$?' in \
[kitty-qsizepolicy.patch (text/plain, inline)]
--- kitty-0.9.2/src/kitty_articleedit.cpp	2005-10-24 22:28:39.000000000 +0300
+++ kitty-0.9.2.new/src/kitty_articleedit.cpp	2006-04-03 18:37:28.000000000 +0300
@@ -114,7 +114,7 @@
    videolabel->setMinimumHeight(150);
    videolabel->setMinimumWidth(200);
    videolabel->setAlignment(Qt::AlignHCenter | Qt::AlignVCenter);
-   videolabel->setSizePolicy(QSizePolicy::Minimum,QSizePolicy::Fixed);
+   videolabel->setSizePolicy(QSizePolicy(QSizePolicy::Minimum, QSizePolicy::Fixed));
    videolabel->setBackgroundColor(Qt::darkGray);
    if (myfeed.items[myarticle].dlstatus=="downloaded") {
 	videourl=locateLocal("appdata", myfeed.key+"-data/"+myfeed.items[myarticle].key);

Tags added: patch Request was from Mattias Nordstrom <nordstrom@realnode.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#348498; Package kitty. Full text and rfc822 format available.

Acknowledgement sent to Uwe Hermann <uwe@hermann-uwe.de>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #32 received at 348498@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@hermann-uwe.de>
To: Mattias Nordstrom <nordstrom@realnode.com>, 348498@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#348498: Fix
Date: Wed, 5 Apr 2006 00:43:18 +0200
[Message part 1 (text/plain, inline)]
tags 348498 pending
thanks

Hi,

On Mon, Apr 03, 2006 at 08:54:01PM +0300, Mattias Nordstrom wrote:
> I will do an NMU (as part of my NM process) with these patches very soon
> unless you respond to this bug.

Thanks for the patches, will test and upload soonish...


Uwe.
-- 
Uwe Hermann 
http://www.hermann-uwe.de
http://www.it-services-uh.de  | http://www.crazy-hacks.org 
http://www.holsham-traders.de | http://www.unmaintained-free-software.org
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Uwe Hermann <uwe@hermann-uwe.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#348498; Package kitty. Full text and rfc822 format available.

Acknowledgement sent to Mattias Nordstrom <nordstrom@realnode.com>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #39 received at 348498@bugs.debian.org (full text, mbox):

From: Mattias Nordstrom <nordstrom@realnode.com>
To: Uwe Hermann <uwe@hermann-uwe.de>
Cc: 348498@bugs.debian.org
Subject: Re: Bug#348498: Fix
Date: Fri, 14 Apr 2006 16:12:22 +0300
Uwe Hermann wrote:
> Thanks for the patches, will test and upload soonish...

What's the status for the upload?

-- 
Mattias Nordstrom



Information forwarded to debian-bugs-dist@lists.debian.org, Uwe Hermann <uwe@debian.org>:
Bug#348498; Package kitty. Full text and rfc822 format available.

Acknowledgement sent to Uwe Hermann <uwe@hermann-uwe.de>:
Extra info received and forwarded to list. Copy sent to Uwe Hermann <uwe@debian.org>. Full text and rfc822 format available.

Message #44 received at 348498@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@hermann-uwe.de>
To: Mattias Nordstrom <nordstrom@realnode.com>, 348498@bugs.debian.org
Subject: Re: Bug#348498: Fix
Date: Fri, 21 Apr 2006 02:24:09 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Fri, Apr 14, 2006 at 04:12:22PM +0300, Mattias Nordstrom wrote:
> What's the status for the upload?

Please bear with me, I'm working on it. There seem to be some more
compile problems (probably because of newer gcc or libs)...


Uwe.
-- 
Uwe Hermann 
http://www.hermann-uwe.de
http://www.it-services-uh.de  | http://www.crazy-hacks.org 
http://www.holsham-traders.de | http://www.unmaintained-free-software.org
[signature.asc (application/pgp-signature, inline)]

Reply sent to Uwe Hermann <uwe@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #49 received at 348498-close@bugs.debian.org (full text, mbox):

From: Uwe Hermann <uwe@debian.org>
To: 348498-close@bugs.debian.org
Subject: Bug#348498: fixed in kitty 0.9.2-2
Date: Tue, 25 Apr 2006 03:47:09 -0700
Source: kitty
Source-Version: 0.9.2-2

We believe that the bug you reported is fixed in the latest version of
kitty, which is due to be installed in the Debian FTP archive:

kitty_0.9.2-2.diff.gz
  to pool/main/k/kitty/kitty_0.9.2-2.diff.gz
kitty_0.9.2-2.dsc
  to pool/main/k/kitty/kitty_0.9.2-2.dsc
kitty_0.9.2-2_i386.deb
  to pool/main/k/kitty/kitty_0.9.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 348498@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Uwe Hermann <uwe@debian.org> (supplier of updated kitty package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 25 Apr 2006 12:18:06 +0200
Source: kitty
Binary: kitty
Architecture: source i386
Version: 0.9.2-2
Distribution: unstable
Urgency: low
Maintainer: Uwe Hermann <uwe@debian.org>
Changed-By: Uwe Hermann <uwe@debian.org>
Description: 
 kitty      - a Qt/KDE based RSS podcast and video aggregator
Closes: 348498
Changes: 
 kitty (0.9.2-2) unstable; urgency=low
 .
   * Fix FTBFS, thanks Mattias Nordstrom <nordstrom@realnode.com> for
     help and patches (Closes: #348498).
   * Switched to debhelper 5 (+ cdbs).
   * debian/copyright: Be more verbose. My packaging is public domain.
   * Small fix in manpage.
Files: 
 f4f83939255eeb0abf874132c27e71ec 631 net optional kitty_0.9.2-2.dsc
 9ae48614ae641f5bc1ec48fdd2c90b97 40926 net optional kitty_0.9.2-2.diff.gz
 e77ff20477a2cbefe3d826b9fc12e3a8 254258 net optional kitty_0.9.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFETfroXdVoV3jWIbQRAgo/AJ0SlyTu5Yl0mtZOfa8I/rGOEgkWmgCfV4dr
WXPm6QXTgVJl1/ncisGV/VE=
=h5im
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 08:24:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:51:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.